Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get organization work queues; personal dismissals are not available to service actors.

Get organization work queues; personal dismissals are not available to service actors. An organization-scoped read using JSON filter arguments; requires operations.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_operations_queue
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
assignmentstring
Show properties
Any of:
string
string
string
string
cursorstring
now_msstring<date-time>required
sectionstring
Show properties
Any of:
string
string
string
string
string
string
severitystring
Show properties
Any of:
string
string
string
string
string
string
Responses
200

Successful read.

dataobjectrequired
Show properties
actionsobject[]required
Show properties
Array of object
action_keystringrequired
assigned_toobject
Show properties
display_namestringrequired
is_viewerbooleanrequired
user_idstringrequired

Opaque Soljio resource ID.

min length 1
descriptionstringrequired
dismissiblebooleanrequired
due_atstring<date-time>
hrefstringrequired
kindstringrequired
primary_action_labelstringrequired
severitystringrequired
Show properties
Any of:
string
string
string
string
string
string
snoozed_untilstring<date-time>
subjectstring
titlestringrequired
coming_upobject[]required
Show properties
Array of object
action_keystringrequired
assigned_toobject
Show properties
display_namestringrequired
is_viewerbooleanrequired
user_idstringrequired

Opaque Soljio resource ID.

min length 1
descriptionstringrequired
dismissiblebooleanrequired
due_atstring<date-time>
hrefstringrequired
kindstringrequired
primary_action_labelstringrequired
severitystringrequired
Show properties
Any of:
string
string
string
string
string
string
snoozed_untilstring<date-time>
subjectstring
titlestringrequired
countsobjectrequired
Show properties
attentionnumberrequired
filterednumber | nullrequired
Show properties
Any of:
number
number
null
null
upcomingnumberrequired
dismissedobject[]required
Show properties
Array of object
action_keystringrequired
assigned_toobject
Show properties
display_namestringrequired
is_viewerbooleanrequired
user_idstringrequired

Opaque Soljio resource ID.

min length 1
descriptionstringrequired
dismissiblebooleanrequired
due_atstring<date-time>
hrefstringrequired
kindstringrequired
primary_action_labelstringrequired
severitystringrequired
Show properties
Any of:
string
string
string
string
string
string
snoozed_untilstring<date-time>
subjectstring
titlestringrequired
paginationobjectrequired
Show properties
continue_cursorstringrequired
is_donebooleanrequired
setupobjectrequired
Show properties
has_active_offeringbooleanrequired
has_active_programbooleanrequired
timelineobject[]required
Show properties
Array of object
attendance_recordedbooleanrequired
capacitynumber
ends_atstring<date-time>required
enrolled_countnumberrequired
hrefstringrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
location_namestring
starts_atstring<date-time>required
timezonestring
titlestringrequired
timeline_has_morebooleanrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_operations_queue' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "assignment": "mine",
  "cursor": "string",
  "now_ms": "2019-08-24T14:15:22Z",
  "section": "attention",
  "severity": "critical"
}'
Response
{
  "data": {
    "actions": [
      {
        "action_key": "string",
        "assigned_to": {
          "display_name": "string",
          "is_viewer": true,
          "user_id": "string"
        },
        "description": "string",
        "dismissible": true,
        "due_at": "2019-08-24T14:15:22Z",
        "href": "string",
        "kind": "string",
        "primary_action_label": "string",
        "severity": "critical",
        "snoozed_until": "2019-08-24T14:15:22Z",
        "subject": "string",
        "title": "string"
      }
    ],
    "coming_up": [
      {
        "action_key": "string",
        "assigned_to": {
          "display_name": "string",
          "is_viewer": true,
          "user_id": "string"
        },
        "description": "string",
        "dismissible": true,
        "due_at": "2019-08-24T14:15:22Z",
        "href": "string",
        "kind": "string",
        "primary_action_label": "string",
        "severity": "critical",
        "snoozed_until": "2019-08-24T14:15:22Z",
        "subject": "string",
        "title": "string"
      }
    ],
    "counts": {
      "attention": 0,
      "filtered": 0,
      "upcoming": 0
    },
    "dismissed": [
      {
        "action_key": "string",
        "assigned_to": {
          "display_name": "string",
          "is_viewer": true,
          "user_id": "string"
        },
        "description": "string",
        "dismissible": true,
        "due_at": "2019-08-24T14:15:22Z",
        "href": "string",
        "kind": "string",
        "primary_action_label": "string",
        "severity": "critical",
        "snoozed_until": "2019-08-24T14:15:22Z",
        "subject": "string",
        "title": "string"
      }
    ],
    "pagination": {
      "continue_cursor": "string",
      "is_done": true
    },
    "setup": {
      "has_active_offering": true,
      "has_active_program": true
    },
    "timeline": [
      {
        "attendance_recorded": true,
        "capacity": 0,
        "ends_at": "2019-08-24T14:15:22Z",
        "enrolled_count": 0,
        "href": "string",
        "id": "string",
        "location_name": "string",
        "starts_at": "2019-08-24T14:15:22Z",
        "timezone": "string",
        "title": "string"
      }
    ],
    "timeline_has_more": true
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}

Was this page helpful?